package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfFinanceCfM;
import com.artfess.poi.util.HeaderNode;

import java.util.List;

/**
 * 财务--现金流量填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-03-02
 */
public interface QfFinanceCfMManager extends BaseManager<QfFinanceCfM> {

    boolean insertInfo(QfFinanceCfM t);

    boolean updateInfo(QfFinanceCfM t);

    boolean updateStatus(QfFinanceCfM t);

    boolean importExcel(List<HeaderNode> list, String mainId);
}
